Subject: Re: non-fast-forward advice breaks tests on OS X

From: Christopher Tiwald <[email-masked]>
Date: Thu, 12 Apr 2012 09:37:01 -0400

On Thu, Apr 12, 2012 at 01:49:14AM -0400, Brian Gernhardt wrote:
> After a break in regularly compiling git on my Mac 10.7.3 laptop, I had a few tests fail:  t5540.15, t5541.{12,15}.  All of these tests use test_i18ngrep to test the output of git-push for the string "To prevent you from losing history, non-fast-forward updates were rejected".
> 
> Bisecting traced it back to f25950f: "push: Provide situational hints for non-fast-forward errors".

I also run 10.7.3 on a MacBook Pro. I will investigate this now and see
if I can get tests to break. I know the original patch passed the test
suite on this machine.

--
Christopher Tiwald